Bug 184703 - deadlock in LookupProviderSupport
deadlock in LookupProviderSupport
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@projects
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 09:54 UTC by delbd
Modified: 2010-04-24 05:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (27.84 KB, text/plain)
2010-04-22 09:54 UTC, delbd
Details

Note You need to log in before you can comment on or make changes to this bug.
Description delbd 2010-04-22 09:54:42 UTC
Created attachment 97844 [details]
thread dump

after a maven compilation, deadlock occured:


Found one Java-level deadlock:
=============================
"Project UI":
  waiting to lock monitor 0x0000000042123b00 (object 0x00007fbf24a65b30, a org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl),
  which is held by "Default RequestProcessor"
"Default RequestProcessor":
  waiting to lock monitor 0x00000000428fd5a8 (object 0x00007fbf24a52ef0, a java.lang.Object),
  which is held by "Default RequestProcessor"
"Default RequestProcessor":
  waiting to lock monitor 0x0000000042123b00 (object 0x00007fbf24a65b30, a org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl),
  which is held by "Default RequestProcessor"



See attachement for details.
Comment 1 Jesse Glick 2010-04-23 18:02:58 UTC
Using a private lock in core-main #98b6972aba57.
Comment 2 Jesse Glick 2010-04-23 18:05:50 UTC
core-main #98b6972aba57
Comment 3 Quality Engineering 2010-04-24 05:31:34 UTC
Integrated into 'main-golden', will be available in build *201004240200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/98b6972aba57
User: Jesse Glick <jglick@netbeans.org>
Log: #184703: deadlock in LookupProviderSupport


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo